@import "fonts";
@import "variables";

@mixin buttons-style{
    font-family: $button-font;
    font-size: 20px;
    border: 1px solid $text-color;
    padding: 10px;
    color: $white;
    margin: 0 15px;
    letter-spacing: 1px;
}

@mixin buttons-style-desktop{
    font-size: 14px;
}
@mixin info-style{
    font-size: 20px;
    font-family: $button-font;
    letter-spacing: 1px;
    color: $white;
}

@mixin info-style-desktop{
    font-size: 14px;
}

@mixin section-title{
    color: $white;
    font-size: 40px;
    font-family: $button-font;
    text-align: center;
    margin: 20px auto;
    &::before{
        content: "«";
        width: 150px;
        height: 3px;
        color: #B22E3C;
        padding: 0 2%;
    }
    &::after{
        content: "»";
        width: 150px;
        height: 100%;
        color: #B22E3C;
        padding: 0 2%;
    }
}

@mixin section-title-header{
    font-family: "Russo One";
    font-weight: 400;
    color: $white;
    border-bottom: 1px solid #B22E3C;
    text-transform: uppercase;
    padding-bottom: 10px;
    text-align: center;
}
@mixin text-description{
    font-family: "Play";
    font-size: 24px;
    text-align: center;
}
@mixin services-style{
    font-family: "Play";
    position: absolute;
    top: 45%;
    left: 15%;
    color: $white;
    font-size: 30px;
    &::before{
        content: "»";
        color: $text-color;
        margin-right: 10px;
        font-size: 35px;
    }
}

@mixin section-title-mobile{
    font-size: 30px;
    margin: 30px auto;
    width: 40%;
}
@mixin form-button{
    border: 1px solid $text-color;
    padding: 15px;
    font-family: "Russo one";
    color: $white;
    font-size: 20px;
}
@mixin icon-desktop{
    width: 30px;
    height: 30px;
    align-items: center;
    align-content: center;
}
@mixin icon-tablet{
    width: 20px;
    height: 20px;
}
@mixin icon-mobile{
    width: 10px;
    height: 10px;
}


